Package wx :: Class HyperlinkCtrl

[frames | no frames]

## Type HyperlinkCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            HyperlinkCtrl

A static text control that emulates a hyperlink. The link is displayed in an appropriate text style, derived from the control's normal font. When the mouse rolls over the link, the cursor changes to a hand and the link's color changes to the active color.

Clicking on the link does not launch a web browser; instead, a wx.HyperlinkEvent is fired. Use the wx.EVT_HYPERLINK to catch link events.

Method Summary
HyperlinkCtrl | ``__init__`(self, parent, id, label, url, pos, size, style, name)` A static text control that emulates a hyperlink.
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
Colour | `GetHoverColour(self)`
Colour | `GetNormalColour(self)`
String | `GetURL(self)`
bool | `GetVisited(self)`
Colour | `GetVisitedColour(self)`
| `SetHoverColour(self, colour)`
| `SetNormalColour(self, colour)`
| `SetURL(self, url)`
| `SetVisited(self, visited)`
| `SetVisitedColour(self, colour)`

Property Summary
| `HoverColour`: See `GetHoverColour` and `SetHoverColour`
| `NormalColour`: See `GetNormalColour` and `SetNormalColour`
| `thisown`: The membership flag
| `URL`: See `GetURL` and `SetURL`
| `Visited`: See `GetVisited` and `SetVisited`
| `VisitedColour`: See `GetVisitedColour` and `SetVisitedColour`

Instance Method Details

### __init__(self, parent, id, label, url, pos=DefaultPosition, size=DefaultSize, style=HL_DEFAULT_STYLE, name=HyperlinkCtrlNameStr)
(Constructor)

A static text control that emulates a hyperlink. The link is displayed in an appropriate text style, derived from the control's normal font. When the mouse rolls over the link, the cursor changes to a hand and the link's color changes to the active color.

Clicking on the link does not launch a web browser; instead, a wx.HyperlinkEvent is fired. Use the wx.EVT_HYPERLINK to catch link events.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `label`
    (type=String)

    `url`
    (type=String)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    HyperlinkCtrl
  Overrides:
    `wx.Control.__init__`

### Create(self, parent, id, label, url, pos=DefaultPosition, size=DefaultSize, style=HL_DEFAULT_STYLE, name=HyperlinkCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### HoverColour

See `GetHoverColour` and `SetHoverColour`

  Get Method:
    `GetHoverColour`(self)
  Set Method:
    `SetHoverColour`(self, colour)

### NormalColour

See `GetNormalColour` and `SetNormalColour`

  Get Method:
    `GetNormalColour`(self)
  Set Method:
    `SetNormalColour`(self, colour)

### thisown

The membership flag

### URL

See `GetURL` and `SetURL`

  Get Method:
    `GetURL`(self)
  Set Method:
    `SetURL`(self, url)

### Visited

See `GetVisited` and `SetVisited`

  Get Method:
    `GetVisited`(self)
  Set Method:
    `SetVisited`(self, visited)

### VisitedColour

See `GetVisitedColour` and `SetVisitedColour`

  Get Method:
    `GetVisitedColour`(self)
  Set Method:
    `SetVisitedColour`(self, colour)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:56 2007 | http://epydoc.sf.net